import request from '@/utils/request'

// 查询经营品项指导配置列表
export function listProductItem(query) {
  return request({
    url: '/sfa/productItem/list',
    method: 'get',
    params: query
  })
}

// 查询经营品项指导配置详细
export function getProductItem(id) {
  return request({
    url: '/sfa/productItem/' + id,
    method: 'get'
  })
}

// 新增经营品项指导配置
export function addProductItem(data) {
  return request({
    url: '/sfa/productItem/add',
    method: 'post',
    data: data
  })
}

// 修改经营品项指导配置
export function updateProductItem(data) {
  return request({
    url: '/sfa/productItem/edit',
    method: 'put',
    data: data
  })
}
export function companyList() {
  return request({
    url: '/sfa/productItem/companyList ',
    method: 'get'
  })
}

// 删除经营品项指导配置
export function delProductItem(data) {
  return request({
    url: '/sfa/productItem/'+data,
    method: 'delete'
  })
}
